; crt0.s  26-Jan-89  A.J.Travis

;
; startup code for tcc run-time support in default text area
; above primary operating system high water mark at $1900
;
; 20-Jun-1991  v0.71 - J.G.Harston
;   escape event disabled after exit
;
	*=$1902		
;
; initialise sp (data stack pointer)
; and enter user program
;
start
	lda evntv+1
	pha
	lda evntv
	pha
	jsr ~start2
	pla		;restore event vector
	tax
	pla
	tay
	lda #13		;disable escape event
~settrap
	stx evntv
	sty evntv+1
	ldx #6
	jmp osbyte

~start2
	cld
	tsx		;save stack position
	stx rsp
	lda #132	;read bottom of display ram
	jsr osbyte
	stx sp		;initialise data stack
	sty sp+1
	ldx #<escape	;set up escape vector
	ldy #>escape
	lda #14		;enable escape event
	jsr ~settrap
	ldx #<__enter	;user entry point
	ldy #>__enter
	jsr push	;on tcc data stack
	jmp __cmdini	;enter _cmdinit(&_enter)

